<div class="card-header">
    Data Umum
</div>
<div class="card-body">
    <form class="manage-profile-data-umum" action="@{storeManageProfile()}" method="post">
    #{authenticityToken /}
        <input type="hidden" name="model.action" value="${action}">
        <input type="hidden" name="model.id" value="${model?.id}">
        #{if isAdminKl|| isAdminKonten}
        <div class="form-group">
            <label for="username" class="col-sm-4 control-label">KLPD</label>
            <div class="col-sm-12 #{errorClass 'model.name'/}">
                <input type="text" name="model.klpd" placeholder="Nama KLPD" value="${kldi?.nama_instansi}"
                       class="form-control" readonly="readonly" disabled>
                <span class="help-block">#{error 'model.name' /}</span>
            </div>
        </div>
        #{/if}
        <div class="form-group">
            <label for="username" class="col-sm-4 control-label">Nama</label>
            <div class="col-sm-12 #{errorClass 'model.name'/}">
                <input type="text" name="model.name" placeholder="Nama" value="${model?.name}"
                       class="form-control">
                <span class="help-block">#{error 'model.name' /}</span>
            </div>
        </div>
        <div class="form-group">
            <label for="username" class="col-sm-4 control-label">Alamat E-Mail</label>
            <div class="col-sm-12 #{errorClass 'model.email'/}">
                <input type="text" name="model.email" placeholder="Alamat E-Mail" value="${model?.email}"
                       class="form-control">
                <span class="help-block">#{error 'model.email' /}</span>
            </div>
        </div>
        <div class="form-group">
            <label for="npwp" class="col-sm-4 control-label">No. Telepon</label>
            <div class="col-sm-12 #{errorClass 'model.phone'/}">
                <input type="text" name="model.phone" class="form-control" value="${model?.phone}"
                       placeholder="No Telepon">
                <span class="help-block">#{error 'model.phone' /}</span>
            </div>
        </div>
        <div class="form-group">
            <label for="npwp" class="col-sm-4 control-label">NPWP</label>
            <div class="col-sm-12 #{errorClass 'model.npwp'/}">
                <input type="text" id="npwp" name="model.npwp" placeholder="__.___.___._-___.___"
                       class="form-control" value="${model?.npwp}">
                <span class="help-block">#{error 'model.npwp' /}</span>
            </div>
        </div>
        <div class="form-group">
            <div class="row centered-element">
                <button type="button" class="btn btn-success save-button">
                    <i class="fa fa-save"></i> Simpan
                </button>
            </div>
        </div>
    </form>
</div>

#{set 'tabDataUmum' }
<script type="text/javascript">
    $(document).ready(function () {
        $("#npwp").mask("99.999.999.9-999.999")
        let action = $('input[name="model.action"]').val();
        let userData = {
            rules: {
                'model.name': 'required',
                'model.email': {required: true, email: true},
                'model.phone': 'required',
                'model.npwp': 'required'
            },
            messages: {
                'model.name': 'Nama belum diisi!',
                'model.email': {required: 'Email belum diisi!', email: 'Format email tidak tepat!'},
                'model.phone': 'No. Telepon belum diisi!',
                'model.npwp': 'NPWP belum diisi!'
            }
        }

        $('.manage-profile-data-umum').validate({
            ignore: [],
            rules: userData.rules,
            messages: userData.messages,
            errorElement: 'span',
            errorClass: 'help-block',
            focusInvalid: false,
            errorPlacement: function (error, element) {
                error.insertAfter(element);
            },
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            success: function (label, element) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
        });

        $('.save-button').click(function (e) {
            e.preventDefault();
            if (!$('.manage-profile-data-umum').valid()) {
                return
            }
            $('.manage-profile-data-umum').submit()
        });
    });
</script>
#{/set}